package me.lensfrex.trailblazer.api.v1.beans;

import com.google.gson.annotations.SerializedName;

import java.util.Date;

public class TokenBody {
    @SerializedName("api_ver")
    private String apiVersion;

    @SerializedName("user")
    private String username;

    @SerializedName("uid")
    private long uid;

    @SerializedName("uuid")
    private String UUID;

    @SerializedName("exp")
    private Date invalidDate;

    public TokenBody(String apiVersion, String username, long uid, String UUID, Date invalidDate) {
        this.apiVersion = apiVersion;
        this.username = username;
        this.uid = uid;
        this.UUID = UUID;
        this.invalidDate = invalidDate;
    }

    public String getApiVersion() {
        return apiVersion;
    }

    public void setApiVersion(String apiVersion) {
        this.apiVersion = apiVersion;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public long getUid() {
        return uid;
    }

    public void setUid(long uid) {
        this.uid = uid;
    }

    public String getUUID() {
        return UUID;
    }

    public void setUUID(String UUID) {
        this.UUID = UUID;
    }

    public Date getInvalidDate() {
        return invalidDate;
    }

    public void setInvalidDate(Date invalidDate) {
        this.invalidDate = invalidDate;
    }
}
